<?php
session_start();
include "config2.php";
$page = isset($_GET['p'])?$_GET['p']:'';
if($page=='buscar_cargos'){
	?>
	<option selected="selected" value="">Seleccione un Cargo</option>
	<?php
	$stmt = $db->prepare("select * from cargo");
	$stmt->execute();
	while($row = $stmt->fetch()){
		?>
		<option  value="<?php echo $row['nombre_cargo'] ?>"><?php echo $row['nombre_cargo'] ?></option>
				<?php
	}
}elseif($page=='carga_form_1'){
	$_SESSION['dato1'] = $_POST['dato1'];
	$_SESSION['dato2'] = $_POST['dato2'];
	$_SESSION['dato3'] = $_POST['dato3'];
	$_SESSION['dato4'] = $_POST['dato4'];
	$_SESSION['dato5'] = $_POST['dato5'];
	$_SESSION['dato6'] = $_POST['dato6'];
	$_SESSION['dato7'] = $_POST['dato7'];
	$_SESSION['dato8'] = $_POST['dato8'];
	$_SESSION['dato9'] = $_POST['dato9'];
	$_SESSION['dato10'] = $_POST['dato10'];
	$_SESSION['dato11'] = $_POST['dato11'];



	$_SESSION['dato12'] = $_POST['dato12'];
		$_SESSION['dato13'] = $_POST['dato13'];
		$_SESSION['subcargo'] = $_POST['subcargo'];
		echo "ok";
		
	}elseif($page=='carga_form_2'){
		$_SESSION['dato14'] = $_POST['dato1'];
		$_SESSION['dato15'] = "";
		$_SESSION['dato16'] = $_POST['dato3'];
			$_SESSION['dato20'] = $_POST['dato7'];
				echo "ok";
			}elseif($page=='buscar_recomendaciones'){
			$consulta="select * from variable_recomendacion";
			$stmt = $db->prepare($consulta);
			$stmt->execute();
			$num_competencia=0;
			while($row = $stmt->fetch()){
				?>
				<option selected="selected" value="<?php echo $row['nombre_variable_recomendacion'] ?>"><?php echo $row['nombre_variable_recomendacion'] ?></option>
				<?php
			
			}
		}elseif($page=='carga_form_3'){
			$_SESSION['dato21'] = $_POST['dato1'];
			$_SESSION['dato22'] = $_POST['dato2'];
			$_SESSION['dato23'] = $_POST['dato3'];
			echo"ok";
			
		}elseif($page=='finalizar_registro'){
			$dato1 = $_SESSION['dato1'];
			$dato2 = $_SESSION['dato2'];
			$dato3 = $_SESSION['dato3'];
			$dato4 = $_SESSION['dato4'];
			$dato5 = $_SESSION['dato5'];
			$dato6 = $_SESSION['dato6'];
			$dato7 = $_SESSION['dato7'];
			$dato8 = $_SESSION['dato8'];
			$dato9 = $_SESSION['dato9'];
			$dato10 = $_SESSION['dato10'];
			$dato11 = $_SESSION['dato11'];
			$dato12 = $_SESSION['dato12'];
			$dato13 = $_SESSION['dato13'];
			$dato14 = $_SESSION['dato14'];
			$dato15 = $_SESSION['dato4'];
			$dato16 = $_SESSION['dato16'];
			$dato20 = $_SESSION['dato20']; 
			$dato21 = $_SESSION['dato21']; 
			$dato22 = $_SESSION['dato22']; 
			$dato23 = $_SESSION['dato23']; 
			//insertamos al evaluado.
			$id_rut="";
			$consulta="select * from evaluado where rut=?";
			$stmt = $db->prepare($consulta);
			$stmt->bindParam(1,$dato2);
			$stmt->execute();
			$num_competencia=0;
			while($row = $stmt->fetch()){
				$id_rut=$row['rut'];
			}
			if($id_rut==""){
				$stmt = $db->prepare("insert into evaluado (rut, nombre) values(?,?)");
				$stmt->bindParam(1,$dato2);
				$stmt->bindParam(2,$dato1);
				if($stmt->execute()){
					//echo "ok";
				}else{
					//echo "no se agrego";
				}
			}else{
			}
			//Generamos la instancia evaluada
			$stmt = $db->prepare("insert into instancia_evaluada (rut, estado_evaluacion, sintesis_evaluacion, cargo, recomendacion, periodo, emsefor, rut_evaluador, fecha, subcargo, herramientas_a_subir, oecl,fecha_registro) values(?,?,?,?,?,?,?,?,?,?,?,?,NOW())");
			$stmt->bindParam(1,$dato2);//rut
			$stmt->bindParam(2,$dato14);//1 apruebo 0 no aprueba 
			$stmt->bindParam(3,$dato20);
			$stmt->bindParam(4,$dato15);
			$stmt->bindParam(5,$dato21);
			$stmt->bindParam(6,$dato16);
			$stmt->bindParam(7,$dato3);
			$stmt->bindParam(8,$_SESSION['evaluador']);
			$stmt->bindParam(9,$dato5);
			$stmt->bindParam(10,$_SESSION['subcargo']);
			$stmt->bindParam(11,$dato22);
			$stmt->bindParam(12,$_SESSION['dato23']);
			if($stmt->execute()){
				echo "ok";
			}else{
				echo "no se agrego";
			}
			$id_instancia=mysql_insert_id();

		//dividirmos las variables de recomendacion que nos enviaron
		//$array = explode(",", $dato20,10);
		//$cuantos = count($array);
			//guardamos el utlimo registro para asociar.
		$stmt = $db->prepare("SELECT max(id_instancia_evaluada) as 'id_instancia_evaluada' FROM instancia_evaluada WHERE estado_folio is null ");
		$stmt->execute();
		while($row = $stmt->fetch()){
			$id_instancia = $row['id_instancia_evaluada'];
		}
		$_SESSION['id_instancia'] = $id_instancia; 
	/*
		for($i=0; $i<$cuantos; $i++){
			$paso=$array[$i];
			$stmt = $db->prepare("select id_variable_recomendacion from variable_recomendacion where nombre_variable_recomendacion=?");
			$stmt->bindParam(1,$paso);
			$stmt->execute();
			while($row = $stmt->fetch()){
				$id_varibale = $row['id_variable_recomendacion'];
			}
			$stmt = $db->prepare("insert into instancia_variable (id_instancia_evaluada,id_variable_recomendacion) values(?,?)");
			$stmt->bindParam(1,$id_instancia);
			$stmt->bindParam(2,$id_varibale);
			if($stmt->execute()){
				echo "ok";
			}else{
				echo "no se agrego";
			}
		}
	*/
		echo "id_instancia:".$id_instancia;
		$vuelta=1;
		//ahora finalizamos el registro con la union a las competencias que se revisaron
			$stmt = $db->prepare("select competencia.id_competencia as 'id_cargo' from cargo, cargo_competencia, competencia where cargo.id_cargo=cargo_competencia.id_cargo and cargo_competencia.id_competencia=competencia.id_competencia and cargo.nombre_cargo=?");
			$stmt->bindParam(1,$dato4);
			$stmt->execute();
			while($row = $stmt->fetch()){
				$id_cargo = $row['id_cargo'];	
				echo "id_cargo:".$id_cargo;	
				if ($dato6!="undefined" && $vuelta==1){
				$stmt1 = $db->prepare("insert into intancia_competencia (id_instancia_evaluada, id_competencia, nivel) values(?,?,?)");
				$stmt1->bindParam(1,$id_instancia);
				$stmt1->bindParam(2,$id_cargo);
				$stmt1->bindParam(3,$dato6);
				if($stmt1->execute()){
					$dato6="undefined";
				}else{
				}
				} 
				if ($dato7!="undefined" && $vuelta==2){
				$stmt2 = $db->prepare("insert into intancia_competencia (id_instancia_evaluada, id_competencia, nivel) values(?,?,?)");
				$stmt2->bindParam(1,$id_instancia);
				$stmt2->bindParam(2,$id_cargo);
				$stmt2->bindParam(3,$dato7);
				if($stmt2->execute()){
					$dato7="undefined";
				}else{
				}
				}
				if ($dato8!="undefined" && $vuelta==3){
				$stmt3 = $db->prepare("insert into intancia_competencia (id_instancia_evaluada, id_competencia, nivel) values(?,?,?)");
				$stmt3->bindParam(1,$id_instancia);
				$stmt3->bindParam(2,$id_cargo);
				$stmt3->bindParam(3,$dato8);
				if($stmt3->execute()){
					$dato8="undefined";
				}else{
				}
				}
				if ($dato9!="undefined" && $vuelta==4){
				$stmt4 = $db->prepare("insert into intancia_competencia (id_instancia_evaluada, id_competencia, nivel) values(?,?,?)");
				$stmt4->bindParam(1,$id_instancia);
				$stmt4->bindParam(2,$id_cargo);
				$stmt4->bindParam(3,$dato9);
				if($stmt4->execute()){
					$dato9="undefined";
				}else{
				}
				}
				if ($dato10!="undefined" && $vuelta==5){
				$stmt5 = $db->prepare("insert into intancia_competencia (id_instancia_evaluada, id_competencia, nivel) values(?,?,?)");
				$stmt5->bindParam(1,$id_instancia);
				$stmt5->bindParam(2,$id_cargo);
				$stmt5->bindParam(3,$dato10);
				if($stmt5->execute()){
					$dato10="undefined";
				}else{
				}
				}
				if ($dato11!="undefined" && $vuelta==6){
				$stmt6 = $db->prepare("insert into intancia_competencia (id_instancia_evaluada, id_competencia, nivel) values(?,?,?)");
				$stmt6->bindParam(1,$id_instancia);
				$stmt6->bindParam(2,$id_cargo);
				$stmt6->bindParam(3,$dato11);
				if($stmt6->execute()){
					$dato11="undefined";
				}else{
				}
				}
				if ($dato12!="undefined" && $vuelta==7){
				$stmt7 = $db->prepare("insert into intancia_competencia (id_instancia_evaluada, id_competencia, nivel) values(?,?,?)");
				$stmt7->bindParam(1,$id_instancia);
				$stmt7->bindParam(2,$id_cargo);
				$stmt7->bindParam(3,$dato12);
				if($stmt7->execute()){
					$dato12="undefined";
				}else{
				}
				}
				if ($dato13!="undefined" && $vuelta==8){
				$stmt8 = $db->prepare("insert into intancia_competencia (id_instancia_evaluada, id_competencia, nivel) values(?,?,?)");
				$stmt8->bindParam(1,$id_instancia);
				$stmt8->bindParam(2,$id_cargo);
				$stmt8->bindParam(3,$dato13);
				if($stmt8->execute()){
					$dato13="undefined";
				}else{
				}
				}

				$vuelta=$vuelta+1;
			}

		}elseif($page=='login'){
		$rut_evaluador = $_POST['rut'];
		$contrasena = $_POST['contrasena'];
		$stmt = $db->prepare("select rut_evaluador from usuario where rut_evaluador=? and contrasena=? ");
		$stmt->bindParam(1,$rut_evaluador);
		$stmt->bindParam(2,$contrasena);
		$stmt->execute();
		while($row = $stmt->fetch()){
			$resp= $row['rut_evaluador'];
		}
		if($resp===$rut_evaluador){
			$_SESSION['evaluador'] = $resp;
			echo "1";

		}else{
			echo "error";
		}
	}elseif($page=='buscar_examen'){

		$stmt = $db->prepare("select * from examen");
		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<option selected="selected" value="<?php echo $row['id_examen'] ?>"><?php echo $row['nombre_examen'] ?></option>
			<?php
		}
	}elseif($page=='listar_registrados'){

		$evaluador=$_SESSION['evaluador'];
		$consulta ="select 
					distinct
					instancia_evaluada.id_instancia_evaluada as 'id', 
					evaluado.nombre as 'nombre', 
					evaluado.rut as 'rut', 
					cargo.nombre_cargo as 'cargo',
					instancia_evaluada.fecha as 'fecha'				
					from 
					evaluado,
					instancia_evaluada,
					intancia_competencia,
					competencia,
					cargo_competencia,
					cargo,
					usuario
					where
					evaluado.rut=instancia_evaluada.rut
					and
					instancia_evaluada.estado_folio is null
					and
					instancia_evaluada.id_instancia_evaluada=intancia_competencia.id_instancia_evaluada
					and
					intancia_competencia.id_competencia=competencia.id_competencia
					and
					competencia.id_competencia=cargo_competencia.id_competencia
					and
					cargo_competencia.id_cargo=cargo.id_cargo
					and
					instancia_evaluada.rut_evaluador=?
					and
					instancia_evaluada.cargo=cargo.nombre_cargo
					order by instancia_evaluada.id_instancia_evaluada desc";


		$stmt = $db->prepare($consulta);
		$stmt->bindParam(1,$evaluador);
		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<tr>
				<?php $id = $row['id']; ?>
		        <td><?php echo $id; ?></td>
		        <td><?php echo $row['nombre']; ?></td>
		        <td><?php echo $row['rut']; ?></td>
		        <td><?php echo $row['cargo']; ?></td>
		        <td><?php echo $row['fecha']; ?></td>
		        <td><button id='fo'  onclick='volver_a_emitir_doc(<?php  echo $id; ?>)'>Descargar</button></td>
		        <td><button id='folio'  onclick='continuar_subida(<?php  echo $id; ?>)'>Subir Evaluaciones</button>
		        <td>
		        	<?php
		        	$consultax ="select min(examen.id_examen) as 'min', max(examen.id_examen) as 'max' from examen";
					$stmtx = $db->prepare($consultax);
					$stmtx->execute();
					while($row = $stmtx->fetch()){
						$min=$row['min'];
						$max=$row['max'];
					}

		        	for($i=$min; $i<$max+1; $i++){
		        		$pas=0;
						$consulta2 ="select examen.nombre_examen as 'examen' from instancia_evaluada, instancia_examen, examen 
							where 
							instancia_evaluada.id_instancia_evaluada=instancia_examen.id_instancia_evaluada
							and
							instancia_examen.id_examen=examen.id_examen
							and
							instancia_examen.id_examen=?
							and
							instancia_evaluada.estado_folio is null
							and
							instancia_examen.id_instancia_evaluada=?";
						$stmt2 = $db->prepare($consulta2);
						$stmt2->bindParam(1,$i);
						$stmt2->bindParam(2,$id);
						$stmt2->execute();
						while($row = $stmt2->fetch()){
							$pas=1;
							if(!empty($row['examen'])){
								echo $row['examen'];
								?><br><?php
							}
						}	
		        	}
		        	?>
		        		        </td>
		        <td>
		        	<?php
		        	$consultax ="select herramientas_a_subir as 'herrramientas'from instancia_evaluada where id_instancia_evaluada=? and estado_folio is null";
					$stmtx = $db->prepare($consultax);
					$stmtx->bindParam(1,$id);
					$stmtx->execute();
					while($row = $stmtx->fetch()){
						$herramientas=$row['herrramientas'];			
						$array = explode(",", $herramientas);
						$cont=count($array);

						for($i=0; $i<$cont+1; $i++){
							$consultay ="select examen.nombre_examen as 'nom_examen' from examen where examen.id_examen=?";
							$stmty = $db->prepare($consultay);
							$stmty->bindParam(1,$array[$i]);
							$stmty->execute();
							while($row = $stmty->fetch()){
								echo $row['nom_examen'];
								?>
								<br>
								<?php
							}
						}
					}
					?>
		        </td>

		    </tr>
			<?php
		}
	}elseif($page=='continuar_up'){
		$_SESSION['id_continuar_subida'] = $_POST['id'];
		$stmt = $db->prepare("select rut from instancia_evaluada where id_instancia_evaluada=? and estado_folio is null");
		$stmt->bindParam(1,$_SESSION['id_continuar_subida']);
		$stmt->execute();
		while($row = $stmt->fetch()){
			$_SESSION['rut_continua_subida'] = $row['rut']; 
		}
	}elseif($page=='menu'){
		if(isset($_POST['dato'])){
			$dato = $_POST['dato'];
		}else{
			$dato = "";
		}
		$stmt = $db->prepare("select perfil, estado from usuario where rut_evaluador=?");
		$stmt->bindParam(1,$_SESSION['evaluador']);
		$stmt->execute();
		while($row = $stmt->fetch()){
			$perfil = $row['perfil'];
			$estado = $row['estado'];
			if($perfil=='Administrador'){		
			?>
				<meta http-equiv="Refresh" content="0;URL=administrar.html">
	      	<?php
	      	}else{
	      		if($dato=="L"){
	      			?>
						<img src="front/images/CORMA.jpg"  width="70" height="50"/>
				      	<a class="navbar-brand">Listado de evaluaciones ya realizadas</a>
				      	<?php 
				      		if($estado=="Activo"){ 
				      		?>
						      	<form class="form-inline">
						        <a class="btn btn-outline-primary my-2 my-sm-0" onclick='siguiente();' role="button">Crear evaluacion &raquo;</a> 
						      	</form>
					      	<?php } else {?>
					      		<form class="form-inline">
						        <a class="btn btn-outline-primary my-2 my-sm-0" role="button">Bloqueado temporalmente &raquo;</a> 
						      	</form>
					      	<?php }
	      		}elseif($dato=="1"){
	      			?>
						<img src="front/images/CORMA.jpg"  width="70" height="50"/>
				      	<a class="navbar-brand">Formulario Evaluacion Psicologica</a>
				      	<form class="form-inline">
				        <a class="btn btn-outline-primary my-2 my-sm-0" onclick='siguiente();' role="button">Siguiente paso 2 &raquo;</a> 
				      	</form>
			      	<?php
			      }elseif($dato=="2"){
			      	?>
						<img src="front/images/CORMA.jpg"  width="70" height="50"/>
				      	<a class="navbar-brand">Formulario Evaluacion Psicologica</a>
				      	<form class="form-inline">
				        <a class="btn btn-outline-primary my-2 my-sm-0" onclick='siguiente();' role="button">Siguiente paso 3 &raquo;</a> 
				      	</form>
			      	<?php
			      }elseif($dato=="3"){
			      	?>
						<img src="front/images/CORMA.jpg"  width="70" height="50"/>
				      	<a class="navbar-brand">Formulario Evaluacion Psicologica</a>
				      	<form class="form-inline">
				        <a class="btn btn-outline-primary my-2 my-sm-0" onclick='siguiente();' role="button">Finalizar proceso &raquo;</a> 
				      	</form>
			      	<?php
			      }
	     	}

		}
	}elseif($page=='lista_evaluador'){
		$consulta ="select * from usuario";
		$stmt = $db->prepare($consulta);
		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<tr>
		        <td><?php echo $row['rut_evaluador']; ?></td>
		        <td><?php echo $row['contrasena']; ?></td>
		        <td><?php echo $row['nombre']; ?></td>
		        <td><?php echo $row['ultima_fecha_acceso']; ?></td>
		        <td><?php echo $row['perfil']; ?></td>
		        <td>

					<button  class="btn btn-warning" data-toggle="modal" data-target="#edit-<?php echo $row['rut_evaluador'];?>">Editar Evaluador</button>
					<!-- Modal -->

				</td>
		    </tr>
			<?php
		}
	}elseif($page=='actualizar_evaluador'){
		$rut = $_POST['rut'];
		$nombre = $_POST['nombre'];
		$contrasena = $_POST['contrasena'];
		$estado= $_POST['estado'];
		$stmt = $db->prepare("update usuario set nombre=?, contrasena=?, estado=? where rut_evaluador=?");
		$stmt->bindParam(1, $nombre);
		$stmt->bindParam(2, $contrasena);
		$stmt->bindParam(3, $estado);
		$stmt->bindParam(4, $rut);

		if($stmt->execute()){
			echo "Usuario actualizado";
		}else{
			echo "no se actualizo";
		}
	}elseif($page=='eliminar_evaluador'){
		$id = $_GET['id'];
		$stmt = $db->prepare("delete from usuario where rut_evaluador=?");
		$stmt->bindParam(1, $id);
		if($stmt->execute()){
			echo "delete ok ";
		}else{
			echo "delete not";
		}
	}elseif($page=='agregar_evaluador'){
		$dato1 = $_POST['rut'];
		$dato2 = $_POST['contrasena'];
		$dato3 = $_POST['nombre'];
		$dato4 = $_POST['perfil'];
		$dato5 = $_POST['estado'];
		$stmt = $db->prepare("insert into usuario (rut_evaluador,contrasena,nombre,perfil,estado) values(?,?,?,?,?)");
		$stmt->bindParam(1,$dato1);
		$stmt->bindParam(2,$dato2);
		$stmt->bindParam(3,$dato3);
		$stmt->bindParam(4,$dato4);
		$stmt->bindParam(5,$dato5);
		if($stmt->execute()){
			echo "Usuario Agregado";
		}else{
			echo "no se agrego";
		}
	}elseif($page=='mostrar_usuarios'){
		$consulta ="select * from usuario";
		$stmt = $db->prepare($consulta);
		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<tr>
		        <td><?php echo 	$row['rut_evaluador'];   
		        				$row['id']=$row['rut_evaluador'];  
		        				$row['id']= str_replace('.', '', $row['id']);
		        				$row['id']= str_replace('-', '', $row['id']);?>

		        				</td>
		        <td><?php echo $row['contrasena']; ?></td>
		        <td><?php echo $row['nombre']; ?></td>
		        <td><?php echo $row['perfil']; ?></td>
		        <td><?php echo $row['estado']; ?></td>
		        <td>
					<button  class="btn btn-warning" data-toggle="modal" data-target="#edit-<?php echo $row['id'] ?>">Editar</button>
					<!-- Modal -->
					<div class="modal fade" id="edit-<?php echo $row['id'] ?>" tabindex="-1" role="dialog" aria-labelledby="editLabel-<?php echo $row['id'] ?>">
					  <div class="modal-dialog" role="document">
					    <div class="modal-content">
					      <div class="modal-header">
					        <h4 class="modal-title" id="editLabel-<?php echo $row['id'] ?>">Editar datos</h4>
					      </div>
					      <form>
					      <div  class="modal-body">
	                            <input type="hidden"  id="<?php echo $row['id'] ?>" value="<?php echo $row['id'] ?>">
	                       	<div class="form-group">
	                            <label for="rut">Rut</label>
	                            <input type="text" disabled="disabled" class="form-control" id="rut-<?php echo $row['id'] ?>" value="<?php echo $row['rut_evaluador'] ?>">
	                          </div>
					         <div class="form-group">
	                            <label for="nombre">Nombre</label>
	                            <input type="text" class="form-control" id="nombre-<?php echo $row['id'] ?>" value="<?php echo $row['nombre'] ?>">
	                          </div>
	                          <div class="form-group">
	                            <label for="contrasena">Contrasña</label>
	                            <input type="text" class="form-control" id="contrasena-<?php echo $row['id'] ?>" value="<?php echo $row['contrasena'] ?>">
	                          </div>
	                          <div class="form-group">
	                            <label for="estado">Estado</label>
	                             <select class="form-control" id="estado-<?php echo $row['id'] ?>" value="<?php echo $row['estado'] ?>">
	                              <option>Activo</option>
	                              <option>Bloqueado</option>
	                            </select>
	                          </div>


					      </div>
					      <div class="modal-footer">
					        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
					        <button type="submit" onclick="actualizar(<?php echo $row['id'] ?>)" class="btn btn-primary">Actualizar</button>
					      </div>
					      </form>
					    </div>
					  </div>
					</div>
				</td>
				<td>
					<button class="btn btn-primary" <?php echo 'onclick="eliminar(\''.$row['rut_evaluador'].'\');"';?>>eliminar</button>
				</td>
		    </tr>
			<?php
		}
	}elseif($page=='eliminar_usuario'){

		$rut = $_POST['rut'];
		$consulta ="delete from usuario where rut_evaluador=?";
		$stmt = $db->prepare($consulta);
		$stmt->bindParam(1,$rut);
		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<tr>
		        <td><?php echo $row['rut_evaluador'];?></td>
		        <td><?php echo $row['contrasena']; ?></td>
		        <td><?php echo $row['nombre']; ?></td>
		        <td><?php echo $row['perfil']; ?></td>
		        <td><?php echo $row['estado']; ?></td>
		        <td>
					<button class="btn btn-primary"  <?php echo 'onclick="editar(\''.$row['rut_evaluador'].'\');"';?>>editar</button>
				</td>
				<td>
					<button class="btn btn-primary" <?php echo 'onclick="eliminar(\''.$row['rut_evaluador'].'\');"';?>>eliminar</button>
				</td>
		    </tr>
			<?php
		}
	}elseif($page=='mostrar_cargo'){

		$consulta ="select * from cargo";
		$stmt = $db->prepare($consulta);
		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<tr>
		        <td><?php echo 	$row['id_cargo'];?></td>
		        <td><?php echo $row['nombre_cargo']; ?></td>
		        <td>
					<button  class="btn btn-warning" data-toggle="modal" data-target="#edit-<?php echo $row['id_cargo'] ?>">Editar</button>
					<!-- Modal -->
					<div class="modal fade" id="edit-<?php echo $row['id_cargo'] ?>" tabindex="-1" role="dialog" aria-labelledby="editLabel-<?php echo $row['id_cargo'] ?>">
					  <div class="modal-dialog" role="document">
					    <div class="modal-content">
					      <div class="modal-header">
					        <h4 class="modal-title" id="editLabel-<?php echo $row['id_cargo'] ?>">Editar datos</h4>
					      </div>
					      <form>
					      <div  class="modal-body">
	                            <input type="hidden"  id="<?php echo $row['id_cargo'] ?>" value="<?php echo $row['id_cargo'] ?>">
	                       	<div class="form-group">
	                            <label for="id_cargo">id cargo</label>
	                            <input type="num" disabled="disabled" class="form-control" id="id-<?php echo $row['id_cargo'] ?>" value="<?php echo $row['id_cargo'] ?>">
	                          </div>
					         <div class="form-group">
	                            <label for="nombre_cargo">Nombre del Cargo</label>
	                            <input type="text" class="form-control" id="nombre-<?php echo $row['id_cargo'] ?>" value="<?php echo $row['nombre_cargo'] ?>">
	                          </div>
					      </div>
					      <div class="modal-footer">
					        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
					        <button type="submit" onclick="actualizar(<?php echo $row['id_cargo'] ?>)" class="btn btn-primary">Actualizar</button>
					      </div>
					      </form>
					    </div>
					  </div>
					</div>
				</td>

		    </tr>
			<?php
		}
	}elseif($page=='actualizar_cargo'){
		$id = $_POST['id'];
		$nombre = $_POST['nombre'];
		$stmt = $db->prepare("update cargo set nombre_cargo=? where id_cargo=?");
		$stmt->bindParam(1, $nombre);
		$stmt->bindParam(2, $id);
		if($stmt->execute()){
			echo "Cargo actualizado";
		}else{
			echo "no se actualizo";
		}
	}elseif($page=='agregar_cargo'){
		$nombre = $_POST['cargo'];
		$stmt = $db->prepare("insert into cargo (nombre_cargo) values(?)");
		$stmt->bindParam(1,$nombre);
		if($stmt->execute()){
			echo "Cargo Agregado";
		}else{
			echo "no se agrego";
		}
	}elseif($page=='mostrar_sub_cargo'){

		$consulta ="select 
					subcargo.id_subcargo as'id_subcargo',
					subcargo.nombre_subcargo as 'nombre_sub_cargo',
					cargo.nombre_cargo as 'nombre_cargo'
					from cargo, subcargo, cargo_subcargo
					where
					cargo.id_cargo=cargo_subcargo.id_cargo
					and
					cargo_subcargo.id_subcargo=subcargo.id_subcargo";
		$stmt = $db->prepare($consulta);
		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<tr>
		        <td><?php echo 	$row['id_subcargo'];?></td>
		        <td><?php echo $row['nombre_sub_cargo']; ?></td>
		        <td><?php echo $row['nombre_cargo']; ?></td>
		        <td>
					<button  class="btn btn-warning" data-toggle="modal" data-target="#edit-<?php echo $row['id_subcargo'] ?>">Editar</button>
					<!-- Modal -->
					<div class="modal fade" id="edit-<?php echo $row['id_subcargo'] ?>" tabindex="-1" role="dialog" aria-labelledby="editLabel-<?php echo $row['id_subcargo'] ?>">
					  <div class="modal-dialog" role="document">
					    <div class="modal-content">
					      <div class="modal-header">
					        <h4 class="modal-title" id="editLabel-<?php echo $row['id_subcargo'] ?>">Editar datos</h4>
					      </div>
					      <form>
					      <div  class="modal-body">
	                            <input type="hidden"  id="<?php echo $row['id_subcargo'] ?>" value="<?php echo $row['id_subcargo'] ?>">
	                       	<div class="form-group">
	                            <label for="id_cargo">id cargo</label>
	                            <input type="num" disabled="disabled" class="form-control" id="id-<?php echo $row['id_subcargo'] ?>" value="<?php echo $row['id_subcargo'] ?>">
	                          </div>
					         <div class="form-group">
	                            <label for="nombre_sub_cargo">Nombre del Cargo</label>
	                            <input type="text" class="form-control" id="nombre_subcargo-<?php echo $row['id_subcargo'] ?>" value="<?php echo $row['nombre__sub_cargo'] ?>">
	                          </div>
					      </div>
					      <div class="modal-footer">
					        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
					        <button type="submit" onclick="actualizar(<?php echo $row['id_subcargo'] ?>)" class="btn btn-primary">Actualizar</button>
					      </div>
					      </form>
					    </div>
					  </div>
					</div>
				</td>

		    </tr>
			<?php
		}
	}elseif($page=='agregar_sub_cargo'){
		$sub_cargo = $_POST['sub_cargo'];
		$cargo = $_POST['cargo'];
		$consulta ="select id_cargo from cargo where nombre_cargo=?";
		$stmt = $db->prepare($consulta);
		$stmt->bindParam(1, $cargo);
		$stmt->execute();
		while($row = $stmt->fetch()){
			$id_cargo = $row['id_cargo'];
		}
		$stmt1 = $db->prepare("insert into subcargo (nombre_subcargo) values(?)");
		$stmt1->bindParam(1,$sub_cargo);
		if($stmt1->execute()){

			$id_subcargo=$db->lastInsertId();
			$stmt2 = $db->prepare("insert into cargo_subcargo (id_cargo,id_subcargo) values(?,?)");
			$stmt2->bindParam(1,$id_cargo);
			$stmt2->bindParam(2,$id_subcargo);
			if($stmt2->execute()){
				echo "Se agrego Sub-Cargo y Relacion con Cargo Indicado";
			}else{
				echo "no se agrego relacion con el cargo";
			}
		}else{
			echo "no se agrego sub-cargo";
		}
	}elseif($page=='buscar_examenes_subidos'){

		$consulta ="select 
					examen.nombre_examen as 'nombre_examen', 
					instancia_examen.fecha as 'fecha_examen',
					instancia_evaluada.rut as 'rut',
					examen.id_examen as 'id_examen'
					FROM 
					instancia_evaluada, 
					instancia_examen, 
					examen
					WHERE 
					instancia_evaluada.id_instancia_evaluada = instancia_examen.id_instancia_evaluada
					AND instancia_examen.id_examen = examen.id_examen
					AND instancia_evaluada.estado_folio is null
					AND instancia_evaluada.id_instancia_evaluada =?";
		$stmt = $db->prepare($consulta);
		$stmt->bindParam(1,$_SESSION['id_continuar_subida']);

		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<tr>
		        <td><?php echo 	$row['nombre_examen'];?></td>
		        <td><?php echo $row['fecha_examen']; ?></td>
		        <td><a href="http://iinal.cl/corma/backend/uploads/<?php echo $row['rut']."-".$row['id_examen']."-".$_SESSION['id_continuar_subida'].".pdf";?>">Ver Archivo</a></td>

		    </tr>
			<?php
		}
	}elseif($page=='buscar_subcargo'){
		$cargo = $_POST['cargo'];	
		$consulta ="select subcargo.nombre_subcargo from cargo,cargo_subcargo,subcargo
					where
					cargo.id_cargo=cargo_subcargo.id_cargo
					and
					cargo_subcargo.id_subcargo=subcargo.id_subcargo
					and
					cargo.nombre_cargo=?";
		$stmt = $db->prepare($consulta);
		$stmt->bindParam(1,$cargo);

		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<li>
			<div class="radio">
			  <label><input type="radio" name="subcargo" value="<?php echo $row['nombre_subcargo'];?>" > <?php echo $row['nombre_subcargo'];?></label>
			</div>
		    </li>

			<?php
		}
	}elseif($page=='mostrar_aquien_sube'){
		echo $_SESSION['rut_continua_subida'];
	}elseif($page=='vista_previa'){
		$recomen = $_POST['dato'];
		?>
		<tr>
		        <td>Nombre del evaluado: </td><td><?php echo $_SESSION['dato1'];?></td>    
		</tr>
		<tr>
		        <td>Rut: </td><td><?php echo $_SESSION['dato2'];?></td>
		</tr>
		<tr>
		        <td>Emsefor: </td><td><?php echo $_SESSION['dato3'];?></td>
		</tr>
		<tr>
		        <td>Cargo: </td><td><?php echo $_SESSION['dato4'];?></td>
		</tr>
		<tr>
		        <td>Sub-Cargo: </td><td><?php echo $_SESSION['subcargo'];?></td>
		</tr>
		<tr>
		        <td>Fecha de la Evaluacion: </td><td><?php echo $_SESSION['dato5'];?></td>
		</tr>
		<tr>
		        <td>Sintesís </td><td><?php echo $_SESSION['dato20'];?></td>
		</tr>
		<tr>
		        <td>Califica: </td>
		        <td>
		        	<?php 
		        	if($_SESSION['dato14']=="1"){
		        		echo "Aprueba";
		        	}else{
		        		echo "No Aprueba";
		        	}
		        	?>		
		        </td>
		</tr>
		<tr>
		        <td>Periodo: </td><td><?php echo $_SESSION['dato16'];?></td>
		</tr>
		<tr>
		        <td>Recomendaciones:</td><td><?php echo $recomen;?></td>
		</tr>
		<?php	
	}elseif($page=='descargar_informe'){
		$instancia = $_POST['dato'];
		$_SESSION['rebajar']=$instancia;
	}elseif($page=='buscar_registros'){
		$consulta ="
		select 
		distinct
	instancia_evaluada.id_instancia_evaluada as 'id', 
	oecl.id_oecl as 'rut_oecl',
	instancia_evaluada.rut as 'rut_evaluado',
	instancia_evaluada.cargo as 'cargo',
	instancia_evaluada.subcargo as 'subcargo',
	instancia_evaluada.fecha as 'fecha',
	evaluado.nombre as 'nombre_evaluado', 
	evaluado.rut as 'rut_evaluado', 
	instancia_evaluada.estado_evaluacion as 'resultado_proceso',
	instancia_evaluada.rut_evaluador as 'rut_evaluador',
	usuario.nombre as 'nombre_evaluador',
	instancia_evaluada.emsefor as 'emsefor',
	instancia_evaluada.herramientas_a_subir as 'herramientas',
	instancia_evaluada.periodo as 'periodo'
	from 
	evaluado,
	instancia_evaluada,
	usuario,
	oecl
	where
	evaluado.rut=instancia_evaluada.rut
	and
	instancia_evaluada.rut_evaluador=usuario.rut_evaluador
	and
	instancia_evaluada.oecl=oecl.nombre_oecl
	and
	instancia_evaluada.estado_folio is null
	and
	instancia_evaluada.rut_evaluador=usuario.rut_evaluador 
	order by instancia_evaluada.id_instancia_evaluada desc LIMIT 200
		";
		$stmt = $db->prepare($consulta);
		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<tr>
		        <td><?php echo 	$row['id'];  $instancia=$row['id']; $rutevaluado=$row['rut_evaluado']; ?></td>
		        <td><?php echo $row['rut_oecl'];?></td>
		        <td><?php echo 	$row['cargo'];?></td>
				<td><?php echo 	$row['subcargo'];?></td>
		        <td><?php echo 	$row['fecha'];?></td>
		        <td>
		        	<?php 
		        	 if($row['resultado_proceso']=="1"){
		        	 	echo "Aprobado";
		        	 }elseif($row['resultado_proceso']=="0"){
		        	 	echo "No Aprueba";
		        	 }
		        	?>		
		        </td>
		        <td><?php echo 	$row['rut_evaluado'];?></td>
		        <td><?php echo 	$row['nombre_evaluador'];?></td>
		        <td><?php echo 	$row['emsefor'];?></td>	
		        <td><?php echo 	$row['periodo'];?></td>	  
		        <td><a href="http://iinal.cl/corma/backend/generar_pdf.php?instancia=<?php echo $row['id'] ?>">Descargar informe</a></td>
		        <?php
		        	$consultax ="select min(examen.id_examen) as 'min', max(examen.id_examen) as 'max' from examen";
					$stmtx = $db->prepare($consultax);
					$stmtx->execute();
					while($row2 = $stmtx->fetch()){
						$min=$row2['min'];
						$max=$row2['max'];

					}

		        	for($i=$min; $i<$max+1; $i++){
		        		$pas=0;
						$consulta2 ="select examen.nombre_examen as 'examen' from instancia_evaluada, instancia_examen, examen 
							where 
							instancia_evaluada.id_instancia_evaluada=instancia_examen.id_instancia_evaluada
							and
							instancia_evaluada.estado_folio is null
							and
							instancia_examen.id_examen=examen.id_examen
							and
							instancia_examen.id_examen=?
							and
							instancia_examen.id_instancia_evaluada=?";
						$stmt2 = $db->prepare($consulta2);
						$stmt2->bindParam(1,$i);
						$stmt2->bindParam(2,$instancia);
						$stmt2->execute();
						while($row3 = $stmt2->fetch()){
							$pas=1;
							if(!empty($row3['examen'])){
								?>
								<td>	
									<a href="http://iinal.cl/corma/backend/uploads/<?php echo $rutevaluado."-".$i."-".$instancia.".pdf";?>">Ver Archivo</a>
								</td>	
								<?php
							}
						}
						if($pas==0){
								?>
								 <td>
								 	<?php echo "X"; ?>

								 	</td>	
								<?php
						}

		        	}
		        	$herra=$row['herramientas'];
		        	$porciones = explode(",", $herra);
					$numero=count($porciones);
					for($i=0; $i<$numero; $i++){
						?><td>
							<?php
							$consulta3 ="select examen.nombre_examen as 'examen' from examen where examen.id_examen=?";
							$stmt3 = $db->prepare($consulta3);
							$stmt3->bindParam(1,$porciones[$i]);
							$stmt3->execute();
						while($row4 = $stmt3->fetch()){
							 echo $row4['examen']; 
						}
						?>
						</td><?php
					}
		        ?>
		    </tr>
			<?php
		}
	}elseif($page=='fechas_informe'){
		$_SESSION['fecha_inicio'] = $_POST['fecha_inicio'];
		$_SESSION['fecha_final'] = $_POST['fecha_final'];
	}elseif($page=='buscar_oecl'){
		$consulta ="select nombre_oecl from oecl";
		$stmt = $db->prepare($consulta);
		$stmt->execute();
		while($row = $stmt->fetch()){
			?>
			<li>
			<div class="radio">
			  <label><input type="radio" name="oecl" value="<?php echo $row['nombre_oecl'];?>" > <?php echo $row['nombre_oecl'];?></label>
			</div>
		    </li>

			<?php
		}
	}elseif($page=='eliminar_folio'){
		$folio= $_POST['folio'];
		$stmt = $db->prepare("update instancia_evaluada SET estado_folio='eliminado', fecha_eliminacion=NOW() WHERE id_instancia_evaluada=?");
		$stmt->bindParam(1, $folio);
		if($stmt->execute()){
			echo "Folio actualizado como ELIMINADO";
		}else{
			echo "NO SE LOGRO ACTUALIZAR ESTADO DEL FOLIO";
		}
	}
	?>
